CVE-2010-4336

2010-12-17T14:00:22
ID CVE-2010-4336
Type cve
Reporter NVD
Modified 2014-02-20T23:36:25

Description

The cu_rrd_create_file function (src/utils_rrdcreate.c) in collectd 4.x before 4.9.4 and before 4.10.2 allow remote attackers to cause a denial of service (assertion failure) via a packet with a timestamp whose value is 10 or less, as demonstrated by creating RRD files using the (1) RRDtool and (2) RRDCacheD plugins.